﻿<%@ Page Title="Crystal Report Export Options" Language="vb" AutoEventWireup="false" CodeBehind="CustomExportOptions.aspx.vb" Inherits="RSWebApp.CustomExportOptions" %>

<%@ Register Assembly="DevExpress.Web.v19.2, Version=19.2.5.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>
<%@ Register Src="StyleLink.ascx" TagName="StyleLink" TagPrefix="uc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Crystal Report Export Options</title>
    <uc1:stylelink id="StyleLink1" runat="server" />
    <script src="Scripts/jquery-2.1.4.js" type="text/javascript"></script>
    <script language="JavaScript" type="text/javascript" src="RipplestoneCommon.js"></script>
    <script language="JavaScript" type="text/javascript" src="selectbox.js"></script>
    <style type="text/css">
        .edInline
        {
            display: inline-table;
        }
	</style>
    <script type="text/javascript">
        function SetExportPanel(s) {
            var cboValue = s.GetValue();

            if (cboValue == null) // Nothing Selected
            {
                pnlExcel.SetVisible(false);
                pnlCSV.SetVisible(false);
            }

            if (cboValue == "Excel")
            {
                pnlExcel.SetVisible(true);
                pnlCSV.SetVisible(false);
            }

            if (cboValue == "CSV")
            {
                pnlExcel.SetVisible(false);
                pnlCSV.SetVisible(true);
            }
        }
        function setReportIsolate(s) {
            if (s == "enable")
            {
                chkCSVReportIsolate.SetEnabled(true);
            }
            else{
                chkCSVReportIsolate.SetEnabled(false);
            }
        }
        function setGroupIsolate(s) {
            if (s == "enable") {
                chkCSVGroupIsolate.SetEnabled(true);
            }
            else {
                chkCSVGroupIsolate.SetEnabled(false);
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div style="padding-bottom:25px; padding-left:10px;">
            <h1>Custom Export Options</h1>
            <p>
                <br />
                <dx:ASPxLabel ID="lblHeader" runat="server" Text="Use the options below to customize the export file">
                </dx:ASPxLabel>
                <br />
                <dx:ASPxComboBox ID="cboExportType" runat="server" ValueType="System.String" AutoPostBack="false" EnableClientSideAPI="True" ClientInstanceName="exportType">
                    <ClientSideEvents SelectedIndexChanged="function(s, e) { SetExportPanel(s); }" Init="function(s, e) { SetExportPanel(s); }" />
                    <Items>
                        <dx:ListEditItem Text="Excel" Value="Excel" Selected="true" />
                        <dx:ListEditItem Text="CSV" Value="CSV" Selected="false" />
                    </Items>
                </dx:ASPxComboBox>
            </p>
        </div>
        <dx:ASPxPanel ID="pnlExcel" runat="server" Width="800px" ClientInstanceName="pnlExcel" EnableClientSideAPI="True">
            <Styles>
                <Panel Border-BorderColor="Black" Border-BorderStyle="Solid" Border-BorderWidth="1px">
                </Panel>
            </Styles>
            <Paddings Padding="5px"></Paddings>
            <PanelCollection>
                <dx:PanelContent>
                    <table class="RSTable" cellspacing="0" cellpadding="5" border="0" width="800px">
                        <tr>
                            <td>
                                <dx:ASPxLabel ID="lblExcelTitle" runat="server" Text="Excel Data Export Options" Font-Bold="True" Font-Size="Medium"></dx:ASPxLabel>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <dx:ASPxRadioButton ID="optColumnWidthObject" runat="server" GroupName="ExcelColumnWidth" Text="Column width based on objects in the"></dx:ASPxRadioButton>
                            </td>
                            <td>
                                <dx:ASPxComboBox ID="ASPxcboExcelAreaType" runat="server" ValueType="System.String" AutoPostBack="false" EnableClientSideAPI="True" ClientInstanceName="excelAreaType">
                                    <Items>
                                        <dx:ListEditItem Text="Detail" Value="Detail" Selected="true" />
                                        <dx:ListEditItem Text="Group Footer" Value="GroupFooter" Selected="false" />
                                        <dx:ListEditItem Text="Group Header" Value="GroupHeader" Selected="false" />
                                        <dx:ListEditItem Text="Page Footer" Value="PageFooter" Selected="false" />
                                        <dx:ListEditItem Text="Page Header" Value="PageHeader" Selected="false" />
                                        <dx:ListEditItem Text="Report Footer" Value="ReportFooter" Selected="false" />
                                        <dx:ListEditItem Text="Report Header" Value="ReportHeader" Selected="false" />
                                    </Items>
                                </dx:ASPxComboBox>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <dx:ASPxRadioButton ID="optConstantColumnWidth" runat="server" GroupName="ExcelColumnWidth" Text="Constant column width (in points)"></dx:ASPxRadioButton>
                            </td>
                            <td>
                                <dx:ASPxTextBox ID="txtConstantColumnWidth" runat="server" Width="100px"></dx:ASPxTextBox>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">&nbsp;</td>
                        </tr>
                        <tr>
                            <td>
                                <dx:ASPxCheckBox ID="chkExportObjectFormatting" runat="server" Text="Export object formatting"></dx:ASPxCheckBox>
                            </td>
                            <td>
                                <dx:ASPxCheckBox ID="chkMaintainColumnAlignment" runat="server" Text="Maintain column alignment"></dx:ASPxCheckBox>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <dx:ASPxCheckBox ID="chkExportImages" runat="server" Text="Export images"></dx:ASPxCheckBox>
                            </td>
                            <td>
                                <dx:ASPxCheckBox ID="chkExportPageHeaderFooter" runat="server" Text="Export page header and page footer"></dx:ASPxCheckBox>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <dx:ASPxCheckBox ID="chkUseWorksheetFunctions" runat="server" Text="Use worksheet functions for summaries"></dx:ASPxCheckBox>
                            </td>
                            <td>
                                <dx:ASPxCheckBox ID="chkSimplifyPageHeaders" runat="server" Text="Simplify page headers"></dx:ASPxCheckBox>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <dx:ASPxCheckBox ID="chkMaintainRelativeObjectPosition" runat="server" Text="Maintain relative object position"></dx:ASPxCheckBox>
                            </td>
                            <td>
                                <dx:ASPxCheckBox ID="chkShowGroupOutlines" runat="server" Text="Show group outlines"></dx:ASPxCheckBox>
                            </td>
                        </tr>
                    </table>
                </dx:PanelContent>
            </PanelCollection>
            <Border BorderStyle="Solid"></Border>
        </dx:ASPxPanel>
        <dx:ASPxPanel ID="pnlCSV" runat="server" Width="800px" ClientInstanceName="pnlCSV" EnableClientSideAPI="True">
            <Styles>
                <Panel Border-BorderColor="Black" Border-BorderStyle="Solid" Border-BorderWidth="1px">
                </Panel>
            </Styles>
            <PanelCollection>
                <dx:PanelContent>
                    <div style="padding: 10px;">
                        <dx:ASPxLabel ID="lblCSVTitle" runat="server" Text="CSV Export Options" Font-Bold="True" Font-Size="Medium"></dx:ASPxLabel>
                    </div>
                    <div style="width:300px;">
                        <fieldset>
                            <legend>Character Options</legend>
                            <table class="RSTable" cellspacing="0" cellpadding="5" border="0" width="200px">
                                <tr>
                                    <td style="width:75px">
                                        <dx:ASPxLabel ID="lblDelimiter" runat="server" Text="Delimiter"></dx:ASPxLabel>
                                    </td>
                                    <td>
                                        <dx:ASPxTextBox ID="txtDelimiter" runat="server" Width="50px"></dx:ASPxTextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width:75px">
                                        <dx:ASPxLabel ID="lblSeparator" runat="server" Text="Separator"></dx:ASPxLabel>
                                    </td>
                                    <td>
                                        <dx:ASPxTextBox ID="txtSeparator" runat="server" Width="50px" Text=","></dx:ASPxTextBox>
                                    </td>
                                </tr>
                            </table>
                        </fieldset>
                    </div>
                    <div style="padding: 5px;">
                        <dx:ASPxLabel ID="lblMode" runat="server" Text="Mode:" CssClass="edInline"></dx:ASPxLabel>
                        <dx:ASPxComboBox ID="cboMode" runat="server" CssClass="edInline" ValueType="System.String" AutoPostBack="false" EnableClientSideAPI="True" ClientInstanceName="csvMode">
                            <Items>
                                <dx:ListEditItem Text="Legacy" Value="Legacy" Selected="false" />
                                <dx:ListEditItem Text="Standard mode" Value="Standard" Selected="true" />
                            </Items>
                        </dx:ASPxComboBox>
                    </div>
                    <table class="RSTable" cellspacing="0" cellpadding="5" border="0" width="800px">
                        <tr>
                            <td colspan="2">Report and Page Sections:</td>
                        </tr>
                        <tr>
                            <td>
                                <dx:ASPxRadioButton ID="radioCSVReportExport" runat="server" GroupName="csvReportSections" Text="Export" EnableClientSideAPI="True" ClientInstanceName="radioCSVReportExport">
                                    <ClientSideEvents CheckedChanged="function(s, e) { setReportIsolate('enable'); }" />
                                </dx:ASPxRadioButton>
                            </td>
                            <td>
                                <dx:ASPxCheckBox ID="chkCSVReportIsolate" runat="server" Text="Isolate Report/Page Sections" ClientInstanceName="chkCSVReportIsolate" EnableClientSideAPI="True"></dx:ASPxCheckBox>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <dx:ASPxRadioButton ID="radioCSVReportDoNotExport" runat="server" GroupName="csvReportSections" Text="Do Not Export" ClientInstanceName="radioCSVReportDoNotExport" EnableClientSideAPI="True">
                                    <ClientSideEvents CheckedChanged="function(s, e) { setReportIsolate('disable'); }" />
                                </dx:ASPxRadioButton>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">Group Sections:</td>
                        </tr>
                        <tr>
                            <td>
                                <dx:ASPxRadioButton ID="radioCSVGroupExport" runat="server" GroupName="csvGroupSections" Text="Export" ClientInstanceName="radioCSVGroupExport" EnableClientSideAPI="True">
                                    <ClientSideEvents CheckedChanged="function(s, e) { setGroupIsolate('enable'); }" />
                                </dx:ASPxRadioButton>
                            </td>
                            <td>
                                <dx:ASPxCheckBox ID="chkCSVGroupIsolate" runat="server" Text="Isolate Report/Page Sections" ClientInstanceName="chkCSVGroupIsolate" EnableClientSideAPI="True"></dx:ASPxCheckBox>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <dx:ASPxRadioButton ID="radioCSVGroupDoNotExport" runat="server" GroupName="csvGroupSections" Text="Do Not Export" ClientInstanceName="radioCSVGroupDoNotExport" EnableClientSideAPI="True">
                                    <ClientSideEvents CheckedChanged="function(s, e) { setGroupIsolate('disable'); }" />
                                </dx:ASPxRadioButton>
                            </td>
                        </tr>
                    </table>
                </dx:PanelContent>
            </PanelCollection>
        </dx:ASPxPanel>
        <div style="padding-bottom: 25px; padding-left: 10px;">
        </div>
        <div style="padding-left: 10px;">
            <dx:ASPxButton ID="btnExport" runat="server" Text="Export"></dx:ASPxButton>&nbsp;
        </div>
    </form>
</body>
</html>


